package cn.fateverse.workflow.enums;

/**
 * 操作类型枚举
 *
 * @author Clay
 * @date 2023-03-20
 */
public enum OperationEnums {
    PASS("直接略过"),
    UNACTIVATED("未激活"),
    CREATE("创建"),
    OPINION("审批操作"),
    COMMENT("评论"),
    CC("抄送"),
    TRIGGER_WEBHOOK("HTTP请求"),
    TRIGGER_EMAIL("邮件"),
    ;

    private final String desc;

    OperationEnums(String desc) {
        this.desc = desc;
    }

    public String getDesc() {
        return desc;
    }
}
